python3-amqp 2.5.0-2 (amd64 binary) in ubuntu focal

 This is a fork of amqplib which was originally written by Barry Pederson. It
 is maintained by the Celery project, and used by kombu as a pure Python
 alternative when librabbitmq is not available.
 .
 This library should be API compatible with librabbitmq. Differences from
 amqplib are:
  * Supports draining events from multiple channels (Connection.drain_events).
  * Support for timeouts.
  * Channels are restored after channel error, instead of having to close the
    connection.
  * Support for heartbeats.
  * Supports RabbitMQ extensions:
    - Consumer Cancel Notifications.
    - Publisher confirms.
    - Exchange-to-exchange bindings: exchange_bind / exchange_unbind.
  * Support for basic_return.
  * Uses AMQP 0-9-1 instead of 0-8.
  * Exposes the underlying socket as Connection.sock.
  * Adds Channel.no_ack_consumers to keep track of consumer tags that set the
    no_ack flag.
  * Slightly better at error recovery.
 .
 This package contains the Python 3 version of the library.

Details

Package version:
2.5.0-2
Source:
python-amqp 2.5.0-2 source package in Ubuntu
Status:
Superseded
Component:
main
Priority:
Extra

Package relationships